
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIOthers complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIOthers"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="No19" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="T" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No24_1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No24_2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No24_3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No24_4" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="U1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="U2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="U3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No25" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No26" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No27" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Q" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No28" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No29" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No30" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="OtherRecords" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIOthers", propOrder = {
    "no19",
    "t",
    "no241",
    "no242",
    "no243",
    "no244",
    "u1",
    "u2",
    "u3",
    "no25",
    "no26",
    "no27",
    "q",
    "no28",
    "no29",
    "no30",
    "otherRecords"
})
public class WSRCIIOthers {

    @XmlElement(name = "No19", nillable = true)
    protected String no19;
    @XmlElement(name = "T", nillable = true)
    protected String t;
    @XmlElement(name = "No24_1", nillable = true)
    protected String no241;
    @XmlElement(name = "No24_2", nillable = true)
    protected String no242;
    @XmlElement(name = "No24_3", nillable = true)
    protected String no243;
    @XmlElement(name = "No24_4", nillable = true)
    protected String no244;
    @XmlElement(name = "U1", nillable = true)
    protected String u1;
    @XmlElement(name = "U2", nillable = true)
    protected String u2;
    @XmlElement(name = "U3", nillable = true)
    protected String u3;
    @XmlElement(name = "No25", nillable = true)
    protected String no25;
    @XmlElement(name = "No26", nillable = true)
    protected String no26;
    @XmlElement(name = "No27", nillable = true)
    protected String no27;
    @XmlElement(name = "Q", nillable = true)
    protected String q;
    @XmlElement(name = "No28", nillable = true)
    protected String no28;
    @XmlElement(name = "No29", nillable = true)
    protected String no29;
    @XmlElement(name = "No30", nillable = true)
    protected String no30;
    @XmlElement(name = "OtherRecords", nillable = true)
    protected String otherRecords;

    /**
     * Gets the value of the no19 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo19() {
        return no19;
    }

    /**
     * Sets the value of the no19 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo19(String value) {
        this.no19 = value;
    }

    /**
     * Gets the value of the t property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getT() {
        return t;
    }

    /**
     * Sets the value of the t property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setT(String value) {
        this.t = value;
    }

    /**
     * Gets the value of the no241 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo241() {
        return no241;
    }

    /**
     * Sets the value of the no241 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo241(String value) {
        this.no241 = value;
    }

    /**
     * Gets the value of the no242 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo242() {
        return no242;
    }

    /**
     * Sets the value of the no242 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo242(String value) {
        this.no242 = value;
    }

    /**
     * Gets the value of the no243 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo243() {
        return no243;
    }

    /**
     * Sets the value of the no243 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo243(String value) {
        this.no243 = value;
    }

    /**
     * Gets the value of the no244 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo244() {
        return no244;
    }

    /**
     * Sets the value of the no244 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo244(String value) {
        this.no244 = value;
    }

    /**
     * Gets the value of the u1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getU1() {
        return u1;
    }

    /**
     * Sets the value of the u1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setU1(String value) {
        this.u1 = value;
    }

    /**
     * Gets the value of the u2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getU2() {
        return u2;
    }

    /**
     * Sets the value of the u2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setU2(String value) {
        this.u2 = value;
    }

    /**
     * Gets the value of the u3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getU3() {
        return u3;
    }

    /**
     * Sets the value of the u3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setU3(String value) {
        this.u3 = value;
    }

    /**
     * Gets the value of the no25 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo25() {
        return no25;
    }

    /**
     * Sets the value of the no25 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo25(String value) {
        this.no25 = value;
    }

    /**
     * Gets the value of the no26 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo26() {
        return no26;
    }

    /**
     * Sets the value of the no26 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo26(String value) {
        this.no26 = value;
    }

    /**
     * Gets the value of the no27 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo27() {
        return no27;
    }

    /**
     * Sets the value of the no27 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo27(String value) {
        this.no27 = value;
    }

    /**
     * Gets the value of the q property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQ() {
        return q;
    }

    /**
     * Sets the value of the q property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQ(String value) {
        this.q = value;
    }

    /**
     * Gets the value of the no28 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo28() {
        return no28;
    }

    /**
     * Sets the value of the no28 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo28(String value) {
        this.no28 = value;
    }

    /**
     * Gets the value of the no29 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo29() {
        return no29;
    }

    /**
     * Sets the value of the no29 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo29(String value) {
        this.no29 = value;
    }

    /**
     * Gets the value of the no30 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo30() {
        return no30;
    }

    /**
     * Sets the value of the no30 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo30(String value) {
        this.no30 = value;
    }

    /**
     * Gets the value of the otherRecords property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOtherRecords() {
        return otherRecords;
    }

    /**
     * Sets the value of the otherRecords property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOtherRecords(String value) {
        this.otherRecords = value;
    }

    public WSRCIIOthers withNo19(String value) {
        setNo19(value);
        return this;
    }

    public WSRCIIOthers withT(String value) {
        setT(value);
        return this;
    }

    public WSRCIIOthers withNo241(String value) {
        setNo241(value);
        return this;
    }

    public WSRCIIOthers withNo242(String value) {
        setNo242(value);
        return this;
    }

    public WSRCIIOthers withNo243(String value) {
        setNo243(value);
        return this;
    }

    public WSRCIIOthers withNo244(String value) {
        setNo244(value);
        return this;
    }

    public WSRCIIOthers withU1(String value) {
        setU1(value);
        return this;
    }

    public WSRCIIOthers withU2(String value) {
        setU2(value);
        return this;
    }

    public WSRCIIOthers withU3(String value) {
        setU3(value);
        return this;
    }

    public WSRCIIOthers withNo25(String value) {
        setNo25(value);
        return this;
    }

    public WSRCIIOthers withNo26(String value) {
        setNo26(value);
        return this;
    }

    public WSRCIIOthers withNo27(String value) {
        setNo27(value);
        return this;
    }

    public WSRCIIOthers withQ(String value) {
        setQ(value);
        return this;
    }

    public WSRCIIOthers withNo28(String value) {
        setNo28(value);
        return this;
    }

    public WSRCIIOthers withNo29(String value) {
        setNo29(value);
        return this;
    }

    public WSRCIIOthers withNo30(String value) {
        setNo30(value);
        return this;
    }

    public WSRCIIOthers withOtherRecords(String value) {
        setOtherRecords(value);
        return this;
    }

}
